# SPEC and source package imported from Fedora:
# http://mirror.kolabsys.com/pub/fedora/apt-utils/f16/SRPMS/
Name:           debhelper
Version:        9.20120909
Release:        %mkrel 3
Summary:        Helper programs for Debian rules

Group:          System/Packaging
License:        GPLv2+
URL:            http://kitenet.net/~joey/code/debhelper/
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz
Patch0:         debhelper-7.4.20-no-utf8-to-pod2man.patch
BuildArch:      noarch

BuildRequires:  po4a
# BuildRequires:  dpkg-devel
BuildRequires:  dpkg perl-Dpkg

Requires:       binutils
Requires:       html2text
Requires:       perl
Requires:       po-debconf
Requires:       dpkg perl-Dpkg

%description
A collection of programs that can be used in a Debian rules file
to automate common tasks related to building Debian packages.
Programs are included to install various files into your package,
compress files, fix file permissions, integrate your package with
the Debian menu system, debconf, doc-base, etc. Most Debian
packages use debhelper as part of their build process.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
make build

%install
%makeinstall_std

mkdir -p \
            %{buildroot}/%{_mandir}/{,es,fr}/man{1,7}/

for lang in es fr; do
    for level in 1 7; do
        mv ./*.$lang.$level %{buildroot}/%{_mandir}/$lang/man$level/ || :
    done
done

install -m 644 ./*.1 %{buildroot}/%{_mandir}/man1
install -m 644 ./*.7 %{buildroot}/%{_mandir}/man7

%find_lang debhelper --with-man

%files -f debhelper.lang
%doc examples/ doc/
%{_mandir}/es/man1/*
%{_mandir}/es/man7/*
%{_mandir}/fr/man1/*
%{_mandir}/fr/man7/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_bindir}/dh*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/autoscripts
%dir %{perl_vendorlib}/Debian
%{perl_vendorlib}/Debian/Debhelper



%changelog

* Tue Jan 22 2013 fwang <fwang> 9.20120909-3.mga3
+ Revision: 390739
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 9.20120909-2.mga3
+ Revision: 348714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 shlomif <shlomif> 9.20120909-1.mga3
+ Revision: 300668
- New version 9.20120909

* Sat Aug 25 2012 shlomif <shlomif> 9.20120608-2.mga3
+ Revision: 283855
- Fix requires
- Fix requires

* Sat Aug 25 2012 shlomif <shlomif> 9.20120608-1.mga3
+ Revision: 283818
- Imported from Fedora with some downstream changes

